Package org.apache.sysds.runtime.io

# Class FrameReaderTextCellParallel

java.lang.Object
org.apache.sysds.runtime.io.FrameReader
org.apache.sysds.runtime.io.FrameReaderTextCell
org.apache.sysds.runtime.io.FrameReaderTextCellParallel

public class FrameReaderTextCellParallel extends FrameReaderTextCell
Multi-threaded frame textcell reader.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`FrameReaderTextCellParallel.ReadTask`

## Constructor Summary

Constructors
Constructor
Description
`FrameReaderTextCellParallel()`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.FrameReaderTextCell

`readFrameFromHDFS, readFrameFromInputStream`

### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

`getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameReaderTextCellParallel

public FrameReaderTextCellParallel()